1db810f25c31877724b32dc0748923d8bc53dc00
[packages/rpm.git] / rpm.spec
1 #
2 # TODO:
3 # - make key infrastructure code fallback from keyutils to plain mode in case keyctl
4 #   returns -ENOSYS
5 # - add macros for some ppc, mipsel, alpha and sparc
6 #
7 # - when adopting, use 4.5 ticket for checklist: https://bugs.launchpad.net/pld-linux/+bug/262985
8 #
9 # Conditional build:
10 %bcond_with     static          # build static rpm+rpmi
11 %bcond_without  apidocs         # don't generate documentation with doxygen
12 %bcond_without  python          # don't build python bindings
13 %bcond_without  selinux         # build without selinux support
14 %bcond_without  suggest_tags    # build without Suggest tag (bootstrapping)
15 %bcond_with     db61            # use DB 6.1 instead of 5.2
16 %bcond_with     neon            # build with HTTP/WebDAV support (neon library)
17 %bcond_with     sqlite          # build with SQLite support
18 %bcond_with     system_lua      # use system lua
19 %bcond_without  system_pcre     # use system pcre
20 %bcond_with     keyutils        # build with keyutils support
21
22 %if %{with sqlite}
23 # Error: /lib64/librpmio-5.4.so: undefined symbol: sqlite3_enable_load_extension
24 %define         sqlite_build_version %(pkg-config --silence-errors --modversion sqlite3 2>/dev/null || echo ERROR)
25 %endif
26
27 # versions of required libraries
28 %if %{with db61}
29 %define         reqdb_pkg       db6.1
30 %define         reqdb_ver       6.1
31 %define         reqdb_pkgver    6.1.19
32 %else
33 %define         reqdb_pkg       db5.2
34 %define         reqdb_ver       5.2
35 %define         reqdb_pkgver    5.2.36.0-4
36 %endif
37 %define         reqpopt_ver     1.15
38 %define         beecrypt_ver    2:4.2.0
39 %define         sover           5.4
40
41 Summary:        RPM Package Manager
42 Summary(de.UTF-8):      RPM Packet-Manager
43 Summary(es.UTF-8):      Gestor de paquetes RPM
44 Summary(pl.UTF-8):      Aplikacja do zarządzania pakietami RPM
45 Summary(pt_BR.UTF-8):   Gerenciador de pacotes RPM
46 Summary(ru.UTF-8):      Менеджер пакетов от RPM
47 Summary(uk.UTF-8):      Менеджер пакетів від RPM
48 Name:           rpm
49 Version:        5.4.15
50 Release:        51
51 License:        LGPL v2.1
52 Group:          Base
53 # http://rpm5.org/files/rpm/rpm-5.4/rpm-5.4.15-0.20140824.src.rpm
54 Source0:        %{name}-%{version}.tar.gz
55 # Source0-md5:  4067f83ca8b5bf1a21e443c0cff3efa0
56 # See README.cpu-os-macros how to update cpu-os-macros.a
57 Source100:      cpu-os-macros.a
58 Source101:      README.cpu-os-macros
59 Source1:        %{name}.groups
60 Source2:        macros.pld.in
61 Source3:        %{name}-install-tree
62 Source4:        %{name}-find-spec-bcond
63 Source5:        %{name}-hrmib-cache
64 Source6:        %{name}-groups-po.awk
65 Source7:        %{name}-compress-doc
66 Source10:       %{name}.sysinfo
67 Source11:       perl.prov
68 Source12:       %{name}-user_group.sh
69 Source13:       %{name}.sysconfig
70 # http://svn.pld-linux.org/banner.sh/
71 Source15:       banner.sh
72 Source16:       ftp://ftp.pld-linux.org/dists/th/PLD-3.0-Th-GPG-key.asc
73 # Source16-md5: 23914bb49fafe7153cee87126d966461
74 Source17:       %{name}-mimetypedeps
75 Source18:       macros.local
76 Source19:       %{name}.noautocompressdoc
77 Source20:       %{name}.noautoprov
78 Source21:       %{name}.noautoprovfiles
79 Source22:       %{name}.noautoreq
80 Source24:       %{name}.noautoreqfiles
81 Source26:       %{name}db_checkversion.c
82 Source27:       macros.lang
83 Source28:       %{name}db_reset.c
84 Source29:       dbupgrade.sh
85 Patch0:         %{name}-branch.patch
86 Patch1:         %{name}-man_pl.patch
87 Patch2:         %{name}-popt-aliases.patch
88 Patch3:         %{name}-nosetproctitle.patch
89 Patch4:         %{name}-perl-macros.patch
90 Patch5:         %{name}-perl-req-perlfile.patch
91 Patch6:         %{name}-scripts-closefds.patch
92 Patch8:         %{name}-gettext-in-header.patch
93 Patch9:         %{name}-lua.patch
94 Patch10:        %{name}-php-deps.patch
95 Patch11:        %{name}-notsc.patch
96 Patch12:        %{name}-hack-norpmlibdep.patch
97 Patch13:        %{name}-dont-copy-descriptive-tags.patch
98 Patch14:        %{name}-perl_req-INC_dirs.patch
99 Patch15:        %{name}-debuginfo.patch
100 Patch16:        vendor-pld.patch
101 Patch17:        %{name}-old-fileconflicts-behaviour.patch
102 Patch18:        %{name}-javadeps.patch
103 Patch19:        %{name}-truncate-cvslog.patch
104 Patch20:        %{name}-libtool-deps.patch
105 Patch21:        %{name}-mimetype.patch
106 Patch22:        %{name}-sparc64.patch
107 Patch23:        %{name}-gendiff.patch
108 Patch24:        openmp.patch
109 Patch25:        %{name}-URPM-build-fix.patch
110 Patch26:        %{name}-semanage.patch
111 Patch27:        %{name}-helperEVR-noassert.patch
112 Patch28:        %{name}-unglobal.patch
113 Patch29:        %{name}-builddir-readlink.patch
114 Patch30:        %{name}-changelog_order_check_nonfatal.patch
115 Patch31:        %{name}-cleanbody.patch
116 Patch32:        %{name}-dirdeps-macro.patch
117 Patch33:        %{name}-installbeforeerase.patch
118 Patch34:        %{name}-libmagic-locale.patch
119 Patch35:        %{name}-namespace-compare.patch
120 Patch36:        %{name}-popt-coreutils.patch
121 Patch37:        %{name}-postun-nofail.patch
122 Patch38:        %{name}-silence-RPM_CHAR_TYPE.patch
123 Patch39:        %{name}-fix-missing-types-in-headers.patch
124 Patch40:        %{name}-fix--p-interpreter-and-empty-script.patch
125 Patch41:        %{name}-db_buffer_small.patch
126 Patch42:        %{name}-pattern_Release.patch
127 Patch43:        %{name}-fix-___build_pre-macro.patch
128 Patch44:        %{name}-missing-patch-file-fails-build.patch
129 Patch45:        %{name}-remove-misleading-missing-patch-message.patch
130 Patch46:        %{name}-file-magic-can-be-mixed-case.patch
131 Patch47:        %{name}-query-always-noisy.patch
132 Patch48:        %{name}-verify-ghosts-broken-logic.patch
133 Patch49:        %{name}-python-enable-compat-RPMSENSE.patch
134 Patch50:        %{name}-dont-treat-gstreamer-modules-as-font.patch
135 Patch51:        %{name}-gst-inspect-typo.patch
136 Patch52:        %{name}-null-term-ascii-digest.patch
137 Patch53:        %{name}-lua-enable-extra-libs.patch
138 Patch54:        %{name}-fix-filedigests-verify.patch
139 Patch55:        %{name}-disable-hmac-verify.patch
140 Patch56:        %{name}-macros.patch
141 Patch57:        %{name}-db5.2.patch
142 Patch58:        %{name}-preserve-iterator.patch
143 Patch59:        gcc6-stdlib.patch
144 Patch60:        %{name}-python-sitescriptdir.patch
145 Patch61:        %{name}-clean-docdir.patch
146 Patch62:        %{name}-DB_CONFIG.patch
147 Patch63:        %{name}-pythoneggs.patch
148 Patch64:        %{name}-fix-compress-doc.patch
149 Patch65:        %{name}-parseSpec-skip-empty-tags.patch
150 Patch66:        %{name}-payload-use-hashed-inode.patch
151 Patch67:        %{name}-repackage-dont-force-max-compression.patch
152 Patch68:        rpm-bug-420.patch
153 Patch70:        python-%{name}sense-missingok.patch
154 Patch71:        %{name}-changelog-encoding.patch
155 Patch72:        %{name}-preserve-tag-type.patch
156 Patch74:        %{name}-fix-internal-lua-build.patch
157 Patch75:        %{name}-double_check_file_deps.patch
158 Patch77:        %{name}-lua-expat.patch
159 Patch78:        %{name}-double_check_unpackaged_subdirs.patch
160 Patch79:        %{name}-rpmspec.patch
161 Patch80:        %{name}-revert-gpg-argv-parsing.patch
162 Patch81:        %{name}-perl-magic.patch
163 Patch82:        %{name}-5.4.15-use-DSA-sig.patch
164 Patch83:        %{name}-ignore-missing-macro-files.patch
165 Patch84:        x32.patch
166 Patch85:        rpm-CVE-2013-6435.patch
167 Patch86:        rpm-CVE-2014-8118.patch
168 Patch87:        %{name}-file-output-for-ELF.patch
169 Patch88:        %{name}-rpmtdnext.patch
170 Patch89:        disable-header-verification.patch
171 Patch90:        %{name}-cppcompat.patch
172 Patch91:        py-disable-fetch.patch
173 Patch92:        fast_python_deps.patch
174 Patch93:        python2_explicit.patch
175 Patch94:        do_not_write_before_macro_buffer.patch
176 Patch95:        rpm-python-spec-header.patch
177 Patch96:        skip-ldconfig-optimization.patch
178 Patch97:        glibc.patch
179 Patch98:        extension-based-compression-detection.patch
180 Patch99:        %{name}-gpg-pinentry.patch
181
182 # Patches imported from Mandriva
183
184 # status: ready to merge, it's already been merged on HEAD, so commiting it to rpm-5_4
185 # would basically just mean backporting it..
186 Patch1000:      %{name}-5.4.4-add-_specfile-macro.patch
187 # status: needs to be cleaned up and properly reviewed together with rest
188 # of the patches related to dependency generation
189 Patch1001:      %{name}-5.4.9-avoid-dependencies-on-self.patch
190 # status: probably ready to merge
191 Patch1002:      %{name}-5.4.4-pkgconfigdeps-check-path.patch
192 # status: probably okay to merge, but discuss on rpm-devel first
193 Patch1003:      %{name}-5.4.4-glob-wildcards-for-loading-macro-files.patch
194 # status: needs to be discussed
195 Patch1004:      %{name}-5.4.4-allow-installation-of-repackaged-rpms.patch
196 # status: ready to merge
197 Patch1005:      %{name}-5.4.8-dont-show-suggests-with-requires.patch
198 # status: ready for merge
199 Patch1006:      %{name}-5.4.9-strip-buildroot-away-from-duplicate-files-list.patch
200 # status: probably okay to merge, but discuss on rpm-devel first
201 Patch1007:      %{name}-5.4.10-duplicate_files_terminate_build.patch
202 # status: same as above
203 Patch1008:      %{name}-5.4.10-unpackaged_subdirs_terminate_build.patch
204 # mdvbz#64898
205 # status: uncertain, might be okay to merge, discuss on rpm-devel first
206 Patch1009:      %{name}-5.4.4-rpmbuild-withoutclean.patch
207 # no sense in having an additional dependency on 'pkgconfig' on all packages that
208 # have a pkgconfig file, it's not needed for them to be made useful and anything
209 # actuallly using pkgconfig for this purpose will pull it in as a dependency anyways...
210 # status: might be okay to merge, but discuss on rpm-devel first
211 Patch1010:      %{name}-5.4.4-drop-useless-auto-generated-pkgconfig-dependency.patch
212 # status: ready for merge
213 Patch1011:      %{name}-5.4.4-fix-rpmconstant-to-always-use-LC_CTYPE-C-for-case-conversion.patch
214 # $RPM_BUILD_DIR isn't necessarily the same as $PWD, it's %%{_builddir}, not
215 # %%{_builddir}/%%{?buildsubdir}, messing up paths in debug packages created..
216 # status: needs to be discussed and investigated a bit better..
217 Patch1012:      %{name}-5.4.4-pass-_builddir-properly-to-find-debuginfo.patch
218 # status: probably okay to merge, but discuss on rpm-devel first
219 Patch1013:      %{name}-5.4.10-files-listed-twice-terminates-build.patch
220 # status: keep locally
221 Patch1015:      %{name}-5.4.9-keep-loading-script-macros.patch
222 # status: same as for other dep gen patches
223 Patch1016:      %{name}-5.4.9-update-rpmfc-when-removing-dependencies-on-self.patch
224 # status: idem
225 Patch1017:      %{name}-5.4.9-rpmfc-extract-dependencies-for-all-files.patch
226 # status: probably okay to merge
227 Patch1019:      %{name}-5.4.5-python-export-spec-macros.patch
228 # status: idem
229 Patch1020:      %{name}-5.4.9-font-provides.patch
230 # stauus: idem
231 Patch1021:      %{name}-5.4.7-kmod-dependencies.patch
232 # status: probably okay to merge, discuss on rpm-devel first
233 Patch1022:      %{name}-5.4.5-skip-dependencies-for-character-devices.patch
234 # status: probably okay to merge
235 Patch1024:      %{name}-5.4.5-rpmfc-apply-python-coloring-from-magic.patch
236 # status: probably okay to merge
237 Patch1026:      %{name}-5.4.10-dont-try-generate-rpmfc-dependencies-from-doc-files.patch
238 # status: ready
239 Patch1027:      %{name}-5.4.7-fix-generation-of-ruby-abi-provides.patch
240 # crash reproducable with 'rpm -qa --triggers'
241 # status: ready
242 Patch1028:      %{name}-5.4.7-hdrfmt-fix-unitialized-argv-element.patch
243 # status: same as for other dep gen patches
244 Patch1029:      %{name}-5.4.7-dont-consider-trigger-dependencies-as-overlapping.patch
245 # status: ready
246 Patch1030:      %{name}-5.4.7-fix-minor-memleaks.patch
247 # status: ready
248 Patch1031:      %{name}-5.4.9-mire-fix-strings-lacking-null-terminator.patch
249 # status: ready
250 Patch1032:      %{name}-5.4.9-rpmpython-fix-input.patch
251 # status: ready
252 Patch1033:      %{name}-5.4.7-no-seqid_init-on-rdonly-database.patch
253 # status: probably ready for merging
254 Patch1034:      %{name}-5.4.9-avoid-double-slash-in-path-for-dirname-filetrigger-matching.patch
255 # status: probably ready to merge, discuss on rpm-devel first
256 Patch1035:      %{name}-5.4.9-fix-verify-segfault.patch
257 # Due to rpmdav/neon being written in a different fashion than other rpmio clients,
258 # the inconsistent behaviour affects code elsewhere which expects consistent behaviour,
259 # with the result being that when unable to download files, neon will save error
260 # page as the target file.
261 # status: should go upstream, but uncertain about "correct" fix, ie. this is
262 # more of a workaround, while rewriting rpmdav code to behave consistently
263 # would be "the right thing to do". Yet I'm not fully able to grasp all of the
264 # code and don't want to spend more time just to get the API..
265 Patch1037:      %{name}-5.4.10-fix-neon-saving-error-pages-as-target-file.patch
266 # As the transaction flags for ignoring arch & os are no longer used, there's
267 # currently no way to ignore arch & os of packages anymore. This patch adds
268 # support for doing this again by defining rpm variables and overriding
269 # --ignorearch & --ignoreos to set these.
270 # status: needs to be discussed upstream before thinking about merging
271 Patch1038:      %{name}-5.4.10-support-ignore-arch-and-os-again.patch
272 # status: ready for merge
273 Patch1039:      %{name}-5.4.4-fix-same-package-with-epoch-possible-to-upgrade.patch
274 # we want that patch too, a bit of builder infrastructure relies on NOSIGNATURES
275 Patch1040:      %{name}-5.4.9-support-signatures-and-digest-disablers.patch
276 # lack insight on actual functionality, which anyways seems broken, so let's
277 # disable it to avoid errors from berkeley db..
278 # status: keep locally
279 Patch1041:      %{name}-5.4.9-disable-l10ndir.patch
280 # status: ready for merge
281 Patch1042:      %{name}-5.4.9-fix-rpm_qa-pattern.patch
282 # warning: introduces memory leak
283 Patch1043:      %{name}-5.4.12-copy-Value-string.patch
284 Patch1044:      %{name}-5.4.12-fix-rpmlua-print.patch
285 Patch1045:      %{name}-5.4.12-fix-rpmpython-module-import-init.patch
286 Patch1046:      %{name}-5.4.12-truncate-output-buffer-after-use.patch
287 Patch1047:      %{name}-5.4.13-perl-bindings-do-not-use-xmalloc.patch
288 # proyvind:
289 # there's a rpmdbchk tool I wrote a while back, which might help you. although
290 # the incidents it's able to deal with is rather limited ATM... it might help
291 # you out, if not and you'll be able to solve yer problem, you could take a
292 # stab at adding support for fixing your specific problem to the util ;)
293 # https://abf.io/openmandriva/rpm/raw/master/rpm-5.4.14-rpmdbchk.patch
294 Patch1048:      %{name}-5.4.14-rpmdbchk.patch
295 # https://abf.io/openmandriva/rpm/raw/master/rpm-5.4.14-no-assert-abort-with-broken-headers.patch
296 Patch1049:      %{name}-5.4.14-no-assert-abort-with-broken-headers.patch
297
298 Patch1050:      python-libx32.patch
299
300 URL:            http://rpm5.org/
301 BuildRequires:  %{reqdb_pkg}-devel >= %{reqdb_pkgver}
302 %if %{with sqlite}
303 BuildRequires:  sqlite3-devel
304 %else
305 BuildRequires:  %{reqdb_pkg}-sql-devel >= %{reqdb_pkgver}
306 %endif
307 BuildRequires:  autoconf >= 2.63
308 BuildRequires:  automake >= 1.4
309 BuildRequires:  beecrypt-devel >= %{beecrypt_ver}
310 BuildRequires:  bzip2-devel >= 1.0.2-17
311 BuildRequires:  elfutils-devel >= 0.108
312 BuildRequires:  gettext-tools >= 0.19.2
313 %{?with_keyutils:BuildRequires: keyutils-devel}
314 BuildRequires:  libmagic-devel
315 %if %{with selinux}
316 BuildRequires:  libselinux-devel >= 2.1.0
317 BuildRequires:  libsemanage-devel >= 2.1.0
318 BuildRequires:  libsepol-devel >= 2.1.0
319 %endif
320 # needed only for AM_PROG_CXX used for CXX substitution in rpm.macros
321 BuildRequires:  libstdc++-devel
322 BuildRequires:  libtool >= 1:1.4.2-9
323 %if %{with neon}
324 BuildRequires:  libxml2-devel
325 BuildRequires:  neon-devel >= 0.25.5
326 %endif
327 %{?with_system_lua:BuildRequires:       lua52-devel >= 5.2.2}
328 BuildRequires:  ossp-uuid-devel
329 BuildRequires:  patch >= 2.2
330 BuildRequires:  popt-devel >= %{reqpopt_ver}
331 %{?with_python:BuildRequires:   python-devel >= 1:2.3}
332 BuildRequires:  python-modules >= 1:2.3
333 %{?with_python:BuildRequires:   rpm-pythonprov}
334 BuildRequires:  tcl
335 BuildRequires:  xz-devel
336 BuildRequires:  zlib-devel
337 %if %{with apidocs}
338 BuildRequires:  doxygen
339 BuildRequires:  ghostscript
340 BuildRequires:  graphviz
341 BuildRequires:  tetex-pdftex
342 %endif
343 %if %{with static}
344 # Require static library only for static build
345 BuildRequires:  %{reqdb_pkg}-static >= %{reqdb_pkgver}
346 BuildRequires:  beecrypt-static >= %{beecrypt_ver}
347 BuildRequires:  bzip2-static >= 1.0.2-17
348 BuildRequires:  elfutils-static
349 BuildRequires:  glibc-static >= 2.2.94
350 BuildRequires:  libmagic-static
351 %if %{with selinux}
352 BuildRequires:  libselinux-static >= 2.1.0
353 BuildRequires:  libsemanage-static >= 2.1.0
354 BuildRequires:  libsepol-static >= 2.1.0
355 %endif
356 BuildRequires:  popt-static >= %{reqpopt_ver}
357 BuildRequires:  zlib-static
358 %endif
359 Requires(posttrans):    coreutils
360 Requires:       FHS >= 3.0-2
361 Requires:       %{name}-base = %{version}-%{release}
362 Requires:       %{name}-lib = %{version}-%{release}
363 Requires:       beecrypt >= %{beecrypt_ver}
364 Requires:       popt >= %{reqpopt_ver}
365 Provides:       rpm-db-ver = %{reqdb_ver}
366 Obsoletes:      rpm-getdeps
367 %{!?with_static:Obsoletes:      rpm-utils-static}
368 Conflicts:      glibc < 2.2.92
369 # db4.6 poldek needed
370 Conflicts:      poldek < 0.21-0.20070703.00.3
371 # segfaults with lzma 0.42.2
372 Conflicts:      lzma-libs < 4.999.3
373 Conflicts:      util-vserver < 0.30.216-1.pre3034.7
374 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
375
376 %define         _binary_payload         w9.gzdio
377
378 # don't require very fresh rpm.macros to build
379 %define         __gettextize gettextize --copy --force --intl ; cp -f po/Makevars{.template,}
380 %define         find_lang sh ./scripts/find-lang.sh $RPM_BUILD_ROOT
381 %define         ix86    i386 i486 i586 i686 athlon pentium3 pentium4
382 %define         ppc     ppc ppc7400 ppc7450
383 %define         x8664   amd64 ia32e x86_64
384
385 %define         _rpmlibdir /usr/lib/rpm
386 %define         _noautocompressdoc      RPM-GPG-KEY
387
388 %description
389 RPM is a powerful package manager, which can be used to build,
390 install, query, verify, update, and uninstall individual software
391 packages. A package consists of an archive of files, and package
392 information, including name, version, and description.
393
394 %description -l de.UTF-8
395 RPM ist ein kräftiger Packet-Manager, der verwendet sein kann zur
396 Installation, Anfrage, Verifizierung, Aktualisierung und
397 Uninstallation individueller Softwarepakete. Ein Paket besteht aus
398 einem Archiv Dateien und Paketinformation, inklusive Name, Version und
399 Beschreibung.
400
401 %description -l es.UTF-8
402 RPM es un poderoso administrador de paquetes, que puede ser usado para
403 construir, instalar, pesquisar, verificar, actualizar y desinstalar
404 paquetes individuales de software. Un paquete consiste en un
405 almacenaje de archivos, y información sobre el paquete, incluyendo
406 nombre, versión y descripción.
407
408 %description -l pl.UTF-8
409 RPM jest doskonałym programem zarządzającym pakietami. Umożliwia on
410 przebudowanie, instalację czy weryfikację dowolnego pakietu.
411 Informacje dotyczące każdego pakietu, takie jak jego opis, lista
412 plików wchodzących w skład pakietu, zależności od innych pakietów, są
413 przechowywane w bazie danych i można je uzyskać za pomocą opcji
414 odpytywania programu rpm.
415
416 %description -l pt_BR.UTF-8
417 RPM é um poderoso gerenciador de pacotes, que pode ser usado para
418 construir, instalar, pesquisar, verificar, atualizar e desinstalar
419 pacotes individuais de software. Um pacote consiste de um conjunto de
420 arquivos e informações adicionais, incluindo nome, versão e descrição
421 do pacote, permissões dos arquivos, etc.
422
423 %description -l ru.UTF-8
424 RPM - это мощный менеджер пакетов, который может быть использован для
425 создания, инсталляции, запросов (query), проверки, обновления и
426 удаления программных пакетов. Пакет состоит из файлового архива и
427 служебной информации, включающей название, версию, описание и другие
428 данные о пакете.
429
430 %description -l uk.UTF-8
431 RPM - це потужний менеджер пакетів, що може бути використаний для
432 створення, інсталяції, запитів (query), перевірки, поновлення та
433 видалення програмних пакетів. Пакет складається з файлового архіву та
434 службової інформації, що містить назву, версію, опис та іншу
435 інформацію про пакет.
436
437 %package base
438 Summary:        RPM base package - scripts used by rpm packages themselves
439 Summary(pl.UTF-8):      Podstawowy pakiet RPM - skrypty używane przez same pakiety rpm
440 Group:          Base
441 Requires:       filesystem
442 Obsoletes:      rpm-scripts
443 Obsoletes:      vserver-rpm
444
445 %description base
446 The RPM base package contains scripts used by rpm packages themselves.
447 These include:
448 - scripts for adding/removing groups and users needed for rpm
449   packages,
450 - banner.sh to display %%banner messages from rpm scriptlets.
451
452 %description base -l pl.UTF-8
453 Pakiet podstawowy RPM zwiera skrypty używane przez same pakiety rpm.
454 Zawiera on:
455 - skrypty dodające/usuwające grupy i użytkowników dla pakietów rpm,
456 - banner.sh do pokazywania komunikatów %%banner dla skryptletów rpm.
457
458 %package lib
459 Summary:        RPMs library
460 Summary(pl.UTF-8):      Biblioteki RPM-a
461 Group:          Libraries
462 Requires:       %{reqdb_pkg} >= %{reqdb_pkgver}
463 %if %{with sqlite}
464 Requires:       sqlite3 >= %{sqlite_build_version}
465 %else
466 Requires:       %{reqdb_pkg}-sql >= %{reqdb_pkgver}
467 %endif
468 Requires:       beecrypt >= %{beecrypt_ver}
469 Requires:       libmagic >= 1.15-2
470 %{?with_selinux:Requires:       libselinux >= 2.1.0}
471 Requires:       popt >= %{reqpopt_ver}
472 Obsoletes:      rpm-libs
473 # avoid SEGV caused by mixed db versions
474 Conflicts:      poldek < 0.18.1-16
475
476 %description lib
477 RPMs library.
478
479 %description lib -l pl.UTF-8
480 Biblioteki RPM-a.
481
482 %package devel
483 Summary:        Header files for rpm libraries
484 Summary(de.UTF-8):      Header-Dateien für rpm Libraries
485 Summary(es.UTF-8):      Archivos de inclusión y bibliotecas para programas de manipulación de paquetes rpm
486 Summary(pl.UTF-8):      Pliki nagłówkowe bibliotek rpm
487 Summary(pt_BR.UTF-8):   Arquivos de inclusão e bibliotecas para programas de manipulação de pacotes RPM
488 Summary(ru.UTF-8):      Хедеры и библиотеки для программ, работающих с rpm-пакетами
489 Summary(uk.UTF-8):      Хедери та бібліотеки для програм, що працюють з пакетами rpm
490 Group:          Development/Libraries
491 Requires:       %{name}-lib = %{version}-%{release}
492 Requires:       %{reqdb_pkg}-devel >= %{reqdb_pkgver}
493 Requires:       beecrypt-devel >= %{beecrypt_ver}
494 Requires:       bzip2-devel
495 Requires:       elfutils-devel
496 %{?with_keyutils:Requires:      keyutils-devel}
497 Requires:       libmagic-devel
498 %if %{with selinux}
499 Requires:       libselinux-devel
500 Requires:       libsemanage-devel
501 Requires:       libsepol-devel
502 %endif
503 Requires:       popt-devel >= %{reqpopt_ver}
504 Requires:       zlib-devel
505
506 %description devel
507 The RPM packaging system includes C libraries that make it easy to
508 manipulate RPM packages and databases. They are intended to ease the
509 creation of graphical package managers and other tools that need
510 intimate knowledge of RPM packages. This package contains header files
511 for these libraries.
512
513 %description devel -l de.UTF-8
514 Der RPM-Packensystem enthält eine C-Library, die macht es einfach
515 RPM-Pakete und Dateibanken zu manipulieren. Er eignet sich für
516 Vereinfachung des Schaffens grafischer Paket-Manager und anderer
517 Werkzeuge, die intime Kenntnis von RPM-Paketen brauchen.
518
519 %description devel -l es.UTF-8
520 El sistema de empaquetado RPM incluye una biblioteca C que vuelve
521 fácil la manipulación de paquetes y bases de datos RPM. Su objetivo es
522 facilitar la creación de administradores gráficos de paquetes y otras
523 herramientas que necesiten un conocimiento profundo de paquetes RPM.
524
525 %description devel -l pl.UTF-8
526 System RPM zawiera biblioteki C, które ułatwiają manipulowanie
527 pakietami RPM oraz bazami danych. W zamiarze ma to uprościć tworzenie
528 graficznych programów zarządzających pakietami oraz innych narzędzi,
529 które wymagają szczegółowej wiedzy na temat pakietów RPM. Ten pakiet
530 zawiera pliki nagłówkowe wspomnianych bibliotek.
531
532 %description devel -l pt_BR.UTF-8
533 O sistema de empacotamento RPM inclui uma biblioteca C que torna fácil
534 a manipulação de pacotes e bases de dados RPM. Seu objetivo é
535 facilitar a criação de gerenciadores gráficos de pacotes e outras
536 ferramentas que precisem de conhecimento profundo de pacotes RPM.
537
538 %description devel -l ru.UTF-8
539 Система управления пакетами RPM содержит библиотеку C, которая
540 упрощает манипуляцию пакетами RPM и соответствующими базами данных.
541 Эта библиотека предназначена для облегчения создания графических
542 пакетных менеджеров и других утилит, которым необходимо работать с
543 пакетами RPM.
544
545 %description devel -l uk.UTF-8
546 Система керування пакетами RPM містить бібліотеку C, котра спрощує
547 роботу з пакетами RPM та відповідними базами даних. Ця бібліотека
548 призначена для полегшення створення графічних пакетних менеджерів та
549 інших утиліт, що працюють з пакетами RPM.
550
551 %package static
552 Summary:        RPM static libraries
553 Summary(de.UTF-8):      RPMs statische Libraries
554 Summary(pl.UTF-8):      Biblioteki statyczne RPM-a
555 Summary(pt_BR.UTF-8):   Bibliotecas estáticas para o desenvolvimento de aplicações RPM
556 Summary(ru.UTF-8):      Статическая библиотека для программ, работающих с rpm-пакетами
557 Summary(uk.UTF-8):      Статична бібліотека для програм, що працюють з пакетами rpm
558 Group:          Development/Libraries
559 Requires:       %{name}-devel = %{version}-%{release}
560 Requires:       %{reqdb_pkg}-static >= %{reqdb_pkgver}
561 Requires:       beecrypt-static >= %{beecrypt_ver}
562 Requires:       bzip2-static
563 Requires:       elfutils-static
564 %{?with_keyutils:Requires:      keyutils-static}
565 Requires:       libmagic-static
566 %if %{with selinux}
567 Requires:       libselinux-static
568 Requires:       libsemanage-static
569 Requires:       libsepol-static
570 %endif
571 Requires:       popt-static >= %{reqpopt_ver}
572 Requires:       zlib-static
573
574 %description static
575 RPM static libraries.
576
577 %description static -l de.UTF-8
578 RPMs statische Libraries.
579
580 %description static -l pl.UTF-8
581 Biblioteki statyczne RPM-a.
582
583 %description static -l pt_BR.UTF-8
584 Bibliotecas estáticas para desenvolvimento.
585
586 %description static -l ru.UTF-8
587 Система управления пакетами RPM содержит библиотеку C, которая
588 упрощает манипуляцию пакетами RPM и соответствующими базами данных.
589 Это статическая библиотека RPM.
590
591 %description static -l uk.UTF-8
592 Система керування пакетами RPM містить бібліотеку C, котра спрощує
593 роботу з пакетами RPM та відповідними базами даних. Це статична
594 бібліотека RPM.
595
596 %package utils
597 Summary:        Additional utilities for managing RPM packages and database
598 Summary(de.UTF-8):      Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
599 Summary(pl.UTF-8):      Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
600 Group:          Applications/File
601 Requires:       %{name} = %{version}-%{release}
602 Requires:       popt >= %{reqpopt_ver}
603 %if %{with suggest_tags}
604 Suggests:       bzip2
605 Suggests:       gzip
606 %endif
607 Conflicts:      filesystem-debuginfo < 3.0-16
608
609 %description utils
610 Additional utilities for managing RPM packages and database.
611
612 %description utils -l de.UTF-8
613 Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.
614
615 %description utils -l pl.UTF-8
616 Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.
617
618 %package utils-perl
619 Summary:        Additional utilities for managing RPM packages and database
620 Summary(de.UTF-8):      Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
621 Summary(pl.UTF-8):      Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
622 Group:          Applications/File
623 Requires:       %{name}-utils = %{version}-%{release}
624 Requires:       popt >= %{reqpopt_ver}
625
626 %description utils-perl
627 Additional utilities for managing RPM packages and database.
628
629 %description utils-perl -l de.UTF-8
630 Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.
631
632 %description utils-perl -l pl.UTF-8
633 Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.
634
635 %package utils-static
636 Summary:        Static rpm utilities
637 Summary(pl.UTF-8):      Statyczne narzędzia rpm
638 Group:          Applications/System
639 Requires:       %{name} = %{version}-%{release}
640
641 %description utils-static
642 Static rpm utilities for repairing system in case something with
643 shared libraries used by rpm become broken. Currently it contains rpmi
644 binary, which can be used to install/upgrade/remove packages without
645 using shared libraries (well, in fact with exception of NSS modules).
646
647 %description utils-static -l pl.UTF-8
648 Statyczne narzędzia rpm do naprawy systemu w przypadku zepsucia czegoś
649 związanego z bibliotekami współdzielonymi używanymi przez rpm-a.
650 Aktualnie pakiet zawiera binarkę rpmi, którą można użyć do instalacji,
651 uaktualniania lub usuwania pakietów bez udziału bibliotek statycznych
652 (z wyjątkiem modułów NSS).
653
654 %package build
655 Summary:        Scripts for building binary RPM packages
656 Summary(de.UTF-8):      Scripts fürs Bauen binärer RPM-Pakete
657 Summary(pl.UTF-8):      Skrypty pomocnicze do budowania binarnych RPM-ów
658 Summary(pt_BR.UTF-8):   Scripts e programas executáveis usados para construir pacotes
659 Summary(ru.UTF-8):      Скрипты и утилиты, необходимые для сборки пакетов
660 Summary(uk.UTF-8):      Скрипти та утиліти, необхідні для побудови пакетів
661 Group:          Applications/File
662 Requires(pretrans):     coreutils
663 Requires(pretrans):     findutils
664 Requires:       %{name}-build-macros >= 1.744-3
665 Requires:       %{name}-utils = %{version}-%{release}
666 Requires:       /bin/id
667 Requires:       awk
668 Requires:       bzip2
669 Requires:       chrpath >= 0.10-4
670 Requires:       cpio
671 Requires:       diffutils
672 Requires:       elfutils
673 Requires:       file >= 4.17
674 Requires:       fileutils
675 Requires:       findutils
676 %ifarch athlon
677 Requires:       gcc >= 3.0.3
678 %else
679 Requires:       gcc
680 %endif
681 Requires:       glibc-devel
682 Requires:       grep
683 Requires:       gzip
684 Requires:       make
685 Requires:       patch
686 Requires:       sed >= 4.0
687 Requires:       sh-utils
688 Requires:       tar >= 1:1.22
689 Requires:       textutils
690 Requires:       which
691 Requires:       xz
692 Provides:       rpmbuild(monoautodeps)
693 Provides:       rpmbuild(noauto) = 3
694 %ifarch %{x8664}
695 Conflicts:      automake < 1:1.7.9-2
696 Conflicts:      libtool < 2:1.5-13
697 %endif
698
699 %description build
700 Scripts for building binary RPM packages.
701
702 %description build -l de.UTF-8
703 Scripts fürs Bauen binärer RPM-Pakete.
704
705 %description build -l pl.UTF-8
706 Skrypty pomocnicze do budowania binarnych RPM-ów.
707
708 %description build -l pt_BR.UTF-8
709 Este pacote contém scripts e programas executáveis que são usados para
710 construir pacotes usando o RPM.
711
712 %description build -l ru.UTF-8
713 Различные вспомогательные скрипты и исполняемые программы, которые
714 используются для сборки RPM'ов.
715
716 %description build -l uk.UTF-8
717 Різноманітні допоміжні скрипти та утиліти, які використовуються для
718 побудови RPM'ів.
719
720 %package perlprov
721 Summary:        Additional utilities for checking Perl provides/requires in RPM packages
722 Summary(de.UTF-8):      Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen
723 Summary(pl.UTF-8):      Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w pakietach RPM
724 Group:          Applications/File
725 Requires:       %{name} = %{version}-%{release}
726 Requires:       perl-Encode
727 Requires:       perl-devel
728 Requires:       perl-modules
729
730 %description perlprov
731 Additional utilities for checking Perl provides/requires in RPM
732 packages.
733
734 %description perlprov -l de.UTF-8
735 Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen.
736
737 %description perlprov -l pl.UTF-8
738 Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w
739 pakietach RPM.
740
741 %package pythonprov
742 Summary:        Python macros, which simplifies creation of RPM packages with Python software
743 Summary(pl.UTF-8):      Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w Pythonie
744 Group:          Applications/File
745 Requires:       %{name} = %{version}-%{release}
746 Requires:       python
747 Requires:       python-setuptools
748 Requires:       python-modules
749
750 %description pythonprov
751 Python macros, which simplifies creation of RPM packages with Python
752 software.
753
754 %description pythonprov -l pl.UTF-8
755 Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w
756 Pythonie.
757
758 %package -n python-rpm
759 Summary:        Python interface to RPM library
760 Summary(pl.UTF-8):      Pythonowy interfejs do biblioteki RPM-a
761 Summary(pt_BR.UTF-8):   Módulo Python para aplicativos que manipulam pacotes RPM
762 Group:          Development/Languages/Python
763 Requires:       %{name} = %{version}-%{release}
764 Requires:       python
765 Obsoletes:      rpm-python
766
767 %description -n python-rpm
768 The rpm-python package contains a module which permits applications
769 written in the Python programming language to use the interface
770 supplied by RPM (RPM Package Manager) libraries.
771
772 This package should be installed if you want to develop Python
773 programs that will manipulate RPM packages and databases.
774
775 %description -n python-rpm -l pl.UTF-8
776 Pakiet rpm-python zawiera moduł, który pozwala aplikacjom napisanym w
777 Pythonie na używanie interfejsu dostarczanego przez biblioteki RPM-a.
778
779 Pakiet ten powinien zostać zainstalowany, jeśli chcesz pisać w
780 Pythonie programy manipulujące pakietami i bazami danych rpm.
781
782 %description -n python-rpm -l pt_BR.UTF-8
783 O pacote rpm-python contém um módulo que permite que aplicações
784 escritas em Python utilizem a interface fornecida pelas bibliotecas
785 RPM (RPM Package Manager).
786
787 Esse pacote deve ser instalado se você quiser desenvolver programas em
788 Python para manipular pacotes e bancos de dados RPM.
789
790 %package apidocs
791 Summary:        RPM API documentation and guides
792 Summary(pl.UTF-8):      Documentacja API RPM-a i przewodniki
793 Group:          Documentation
794 %if "%{_rpmversion}" >= "5"
795 BuildArch:      noarch
796 %endif
797
798 %description apidocs
799 Documentation for RPM API and guides in HTML format generated from rpm
800 sources by doxygen.
801
802 %description apidocs -l pl.UTF-8
803 Dokumentacja API RPM-a oraz przewodniki w formacie HTML generowane ze
804 źrodeł RPM-a przez doxygen.
805
806 %prep
807 %setup -q -n %{name}-%{version}%{?subver}
808 install -d platform
809 cd platform
810 ar x %{SOURCE100}
811 cd -
812
813 #patch0 -p1
814 %patch1 -p1
815 %patch2 -p1
816 %patch3 -p1
817 %patch4 -p1
818 %patch5 -p1
819 %patch6 -p1
820 %patch8 -p1
821 %{?with_system_lua:%patch9 -p1}
822 %patch10 -p1
823 %ifnarch i386 i486
824 # enable TSC for capable archs
825 %patch11 -p1
826 %endif
827 %patch12 -p1
828 %patch13 -p1
829 %patch14 -p0
830 %patch15 -p1
831 %patch16 -p1
832 %patch17 -p1
833 %patch18 -p1
834 %patch19 -p1
835 %patch20 -p1
836 %patch21 -p1
837 %ifarch sparc64
838 %patch22 -p1
839 %endif
840 %patch23 -p1
841 %patch24 -p1
842 %patch25 -p1
843 %patch26 -p1
844 %patch27 -p1
845 %patch28 -p1
846 %patch29 -p1
847 %patch30 -p1
848 %patch31 -p1
849 %patch32 -p1
850 %patch33 -p1
851 %patch34 -p1
852 %patch35 -p1
853 %patch36 -p1
854 %patch37 -p1
855 %patch38 -p1
856 %patch39 -p1
857 %patch40 -p1
858 %{?with_db61:%patch41 -p1}
859 %patch42 -p1
860 %patch43 -p1
861 %patch44 -p1
862 %patch45 -p1
863 %patch46 -p1
864 %patch47 -p1
865 %patch48 -p1
866 %patch49 -p1
867 %patch50 -p1
868 %patch51 -p1
869 %patch52 -p0
870 %patch53 -p1
871 %patch54 -p1
872 %patch55 -p1
873 %patch56 -p1
874 %{!?with_db61:%patch57 -p1}
875 %patch58 -p1
876 %patch59 -p1
877 %patch60 -p1
878 %patch61 -p1
879 %patch62 -p1
880 %patch63 -p1
881 %patch64 -p1
882 %patch65 -p1
883 %patch66 -p1
884 %patch67 -p1
885 %patch68 -p1
886 %patch70 -p1
887 %patch71 -p1
888 %patch72 -p1
889 %patch74 -p1
890 %patch75 -p1
891 %patch77 -p0
892 %patch78 -p1
893 %patch79 -p1
894 %patch80 -p1
895 %patch81 -p0
896 %patch82 -p1
897 %patch84 -p1
898 %patch85 -p1
899 %patch86 -p1
900 %patch87 -p1
901 %patch88 -p1
902 %patch89 -p1
903 %patch90 -p1
904 %patch91 -p1
905 %patch99 -p1
906
907 %patch1000 -p1
908 %patch1001 -p1
909 %patch1002 -p1
910 %patch1003 -p1
911 %patch1004 -p1
912 %patch1005 -p1
913 %patch1006 -p1
914 %patch1007 -p1
915 %patch1008 -p1
916 %patch1009 -p1
917 %patch1010 -p1
918 %patch1011 -p1
919 %patch1012 -p1
920 %patch1013 -p1
921 %patch1015 -p1
922 %patch1016 -p1
923 %patch1017 -p1
924 %patch1019 -p1
925 %patch1020 -p1
926 %patch1021 -p1
927 %patch1022 -p1
928 %patch1024 -p1
929 %patch1026 -p1
930 %patch1027 -p1
931 %patch1028 -p1
932 %patch1029 -p1
933 %patch1030 -p1
934 %patch1031 -p1
935 %patch1032 -p1
936 %patch1033 -p1
937 %patch1034 -p1
938 %patch1035 -p1
939 %patch1037 -p1
940 %patch1038 -p1
941 %patch1039 -p1
942 %patch1040 -p1
943 # don't delete, may be usefull if jbj descides to enable this again
944 #%patch1041 -p1
945 %patch1042 -p1
946 %patch1043 -p1
947 %patch1044 -p1
948 %patch1045 -p1
949 %patch1046 -p1
950 %patch1047 -p1
951 %patch1048 -p1
952 %patch1049 -p1
953
954 %patch83 -p1
955 %patch92 -p1
956 %patch93 -p1
957 %patch94 -p1
958 %patch95 -p1
959 %patch96 -p1
960 %patch97 -p1
961 %patch98 -p1
962
963 %patch1050 -p1
964
965 install %{SOURCE2} macros/pld.in
966 install %{SOURCE11} scripts/perl.prov.in
967
968 rm scripts/find-php*
969
970 %{__mv} -f scripts/perl.req{,.in}
971
972 # generate Group translations to *.po
973 awk -f %{SOURCE6} %{SOURCE1}
974
975 install %{SOURCE26} tools/rpmdb_checkversion.c
976 install %{SOURCE28} tools/rpmdb_reset.c
977
978 for extlib in beecrypt neon %{?with_system_pcre:pcre} popt; do
979         [ -d $extlib ] && %{__rm} -r $extlib
980 done
981
982 %build
983 %{__libtoolize}
984 #%{__autopoint}
985 %{__aclocal}
986 %{__autoheader}
987 %{__autoconf}
988 %{__automake}
989
990 # rpm checks for CPU type at runtime, but it looks better
991 sed -i \
992         -e 's|@host@|%{_target_cpu}-%{_target_vendor}-%{_target_os}|' \
993         -e 's|@host_cpu@|%{_target_cpu}|' \
994         -e 's|@host_os@|%{_target_os}|' \
995         macros/macros.in
996
997 %{?with_system_lua:CPPFLAGS="-I/usr/include/lua51 %{rpmcppflags}"}
998 %configure \
999         WITH_PERL_VERSION=no \
1000         __GST_INSPECT=%{_bindir}/gst-inspect-1.0 \
1001         __GPG=%{_bindir}/gpg \
1002         --disable-silent-rules \
1003         --enable-shared \
1004         --enable-static \
1005         %{!?with_apidocs:--without-apidocs} \
1006         --with-beecrypt=external \
1007         --with-bugreport="http://bugs.pld-linux.org/" \
1008         --with-bzip2=external \
1009         --with-db=external \
1010         --with-dbapi=db \
1011         --with-file=external \
1012         --with-keyutils=%{?with_keyutils:external}%{!?with_keyutils:no} \
1013         --with-libelf \
1014         --with-lua=%{!?with_system_lua:internal}%{?with_system_lua:external} \
1015         --with-lzma=external \
1016         --with-neon=%{?with_neon:external}%{!?with_neon:no} \
1017         --with-path-macros='%{_rpmlibdir}/macros:%{_rpmlibdir}/macros.d/pld:%{_rpmlibdir}/%%{_target}/macros:%{_rpmlibdir}/macros.build:%{_sysconfdir}/rpm/macros.*:%{_sysconfdir}/rpm/macros:%{_sysconfdir}/rpm/%%{_target}/macros:%{_sysconfdir}/rpm/macros.d/*.macros:~/etc/.rpmmacros:~/.rpmmacros' \
1018         --without-path-versioned \
1019         --with-pcre=%{!?with_system_pcre:internal}%{?with_system_pcre:external} \
1020         --with-popt=external \
1021         %{?with_python:--with-python=%{py_ver} --with-python-lib-dir=%{py_sitedir}} \
1022         %{!?with_python:--without-python} \
1023         --with-selinux=%{!?with_selinux:no}%{?with_selinux:external} \
1024         --with-semanage=%{!?with_selinux:no}%{?with_selinux:external} \
1025         --with-sepol=%{!?with_selinux:no}%{?with_selinux:external} \
1026         --with-sqlite=%{?with_sqlite:yes}%{!?with_sqlite:no} \
1027         --with-uuid=%{_libdir}:%{_includedir}/ossp-uuid \
1028         --with-vendor=pld \
1029         --with-xz=external \
1030         --with-zlib=external
1031
1032 %{__make} -j1
1033
1034 %{?with_apidocs:%{__make} apidocs}
1035
1036 %{__cc} %{rpmcflags} -I/usr/include/db%{reqdb_ver} tools/rpmdb_checkversion.c \
1037         -o tools/rpmdb_checkversion -ldb-%{reqdb_ver}
1038 %{__cc} %{rpmcflags} -I/usr/include/db%{reqdb_ver} tools/rpmdb_reset.c \
1039         -o tools/rpmdb_reset -ldb-%{reqdb_ver}
1040
1041 if tools/rpmdb_checkversion -V 2>&1 | grep "t match library version"; then
1042         echo "Error linking rpmdb tools!"
1043         exit 1
1044 fi
1045 if tools/rpmdb_reset -V 2>&1 | grep "t match library version"; then
1046         echo "Error linking rpmdb tools!"
1047         exit 1
1048 fi
1049
1050 %install
1051 rm -rf $RPM_BUILD_ROOT
1052 install -d $RPM_BUILD_ROOT{/bin,/%{_lib},/etc/sysconfig,%{_sysconfdir}/rpm} \
1053         $RPM_BUILD_ROOT{/var/lib/banner,/var/cache/hrmib,/etc/pki/rpm-gpg}
1054
1055 install %{SOURCE16} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/PLD-3.0-Th-GPG-key.asc
1056
1057 %{__make} -j1 install \
1058         pkgconfigdir=%{_pkgconfigdir} \
1059         DESTDIR=$RPM_BUILD_ROOT
1060
1061 # install platform macros
1062 for f in platform/*macros; do
1063         bn=${f#*/}
1064         fn=${bn%.macros}/macros
1065         install -m644 $f -D %{buildroot}%{_rpmlibdir}/$fn
1066 done
1067
1068 # cleanup
1069 %ifnarch %{ix86} %{x8664} x32
1070 rm $RPM_BUILD_ROOT%{_rpmlibdir}/athlon-linux/macros
1071 rm $RPM_BUILD_ROOT%{_rpmlibdir}/i386-linux/macros
1072 rm $RPM_BUILD_ROOT%{_rpmlibdir}/i486-linux/macros
1073 rm $RPM_BUILD_ROOT%{_rpmlibdir}/i586-linux/macros
1074 rm $RPM_BUILD_ROOT%{_rpmlibdir}/i686-linux/macros
1075 rm $RPM_BUILD_ROOT%{_rpmlibdir}/pentium3-linux/macros
1076 rm $RPM_BUILD_ROOT%{_rpmlibdir}/pentium4-linux/macros
1077 %endif
1078
1079 %ifnarch %{x8664} x32
1080 rm $RPM_BUILD_ROOT%{_rpmlibdir}/amd64-linux/macros
1081 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ia32e-linux/macros
1082 rm $RPM_BUILD_ROOT%{_rpmlibdir}/x32-linux/macros
1083 rm $RPM_BUILD_ROOT%{_rpmlibdir}/x86_64-linux/macros
1084 %endif
1085
1086 %ifnarch %{ppc}
1087 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ppc-linux/macros
1088 %endif
1089
1090 rm $RPM_BUILD_ROOT%{_rpmlibdir}/alpha*-linux/macros
1091 rm $RPM_BUILD_ROOT%{_rpmlibdir}/arm*-linux/macros
1092 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ia64-linux/macros
1093 rm $RPM_BUILD_ROOT%{_rpmlibdir}/k6-linux/macros
1094 rm $RPM_BUILD_ROOT%{_rpmlibdir}/mips*-linux/macros
1095 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ppc*series-linux/macros
1096 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ppc64*-linux/macros
1097 rm $RPM_BUILD_ROOT%{_rpmlibdir}/s390*-linux/macros
1098 rm $RPM_BUILD_ROOT%{_rpmlibdir}/sparc*-linux/macros
1099
1100 cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
1101 # first platform file entry can't contain regexps
1102 %ifarch x32
1103 %{_target_cpu}-%{_target_vendor}-linux-gnux32
1104 %else
1105 %{_target_cpu}-%{_target_vendor}-linux
1106 %endif
1107
1108 %ifarch x86_64
1109 x86_64-[^-]*-[Ll]inux(-gnu)?
1110 amd64-[^-]*-[Ll]inux(-gnu)?
1111 x32-[^-]*-[Ll]inux(-gnu(x32)?)?
1112 %endif
1113 %ifarch amd64
1114 amd64-[^-]*-[Ll]inux(-gnu)?
1115 x86_64-[^-]*-[Ll]inux(-gnu)?
1116 x32-[^-]*-[Ll]inux(-gnu(x32)?)?
1117 %endif
1118 %ifarch ia32e
1119 ia32e-[^-]*-[Ll]inux(-gnu)?
1120 x86_64-[^-]*-[Ll]inux(-gnu)?
1121 %endif
1122 %ifarch x32
1123 x32-[^-]*-[Ll]inux(-gnu(x32)?)?
1124 x86_64-[^-]*-[Ll]inux(-gnu)?
1125 amd64-[^-]*-[Ll]inux(-gnu)?
1126 %endif
1127
1128 %ifarch athlon %{x8664} x32
1129 athlon-[^-]*-[Ll]inux(-gnu)?
1130 %endif
1131 %ifarch pentium4 athlon %{x8664} x32
1132 pentium4-[^-]*-[Ll]inux(-gnu)?
1133 %endif
1134 %ifarch pentium3 pentium4 athlon %{x8664} x32
1135 pentium3-[^-]*-[Ll]inux(-gnu)?
1136 %endif
1137 %ifarch i686 pentium3 pentium4 athlon %{x8664} x32
1138 i686-[^-]*-[Ll]inux(-gnu)?
1139 %endif
1140 %ifarch i586 i686 pentium3 pentium4 athlon %{x8664} x32
1141 i586-[^-]*-[Ll]inux(-gnu)?
1142 %endif
1143 %ifarch i486 i586 i686 pentium3 pentium4 athlon %{x8664} x32
1144 i486-[^-]*-[Ll]inux(-gnu)?
1145 %endif
1146 %ifarch %{ix86} %{x8664} x32
1147 i386-[^-]*-[Ll]inux(-gnu)?
1148 %endif
1149
1150 %ifarch alpha
1151 alpha-[^-]*-[Ll]inux(-gnu)?
1152 %endif
1153
1154 %ifarch ia64
1155 ia64-[^-]*-[Ll]inux(-gnu)?
1156 %endif
1157
1158 %ifarch ppc64
1159 powerpc64-[^-]*-[Ll]inux(-gnu)?
1160 ppc64-[^-]*-[Ll]inux(-gnu)?
1161 %endif
1162 %ifarch %{ppc} ppc64
1163 powerpc-[^-]*-[Ll]inux(-gnu)?
1164 ppc-[^-]*-[Ll]inux(-gnu)?
1165 %endif
1166
1167 %ifarch s390x
1168 s390x-[^-]*-[Ll]inux(-gnu)?
1169 %endif
1170 %ifarch s390 s390x
1171 s390-[^-]*-[Ll]inux(-gnu)?
1172 %endif
1173
1174 %ifarch sparc64
1175 sparc64-[^-]*-[Ll]inux(-gnu)?
1176 sparcv8-[^-]*-[Ll]inux(-gnu)?
1177 sparcv9-[^-]*-[Ll]inux(-gnu)?
1178 %endif
1179 %ifarch sparcv9
1180 sparcv8-[^-]*-[Ll]inux(-gnu)?
1181 sparcv9-[^-]*-[Ll]inux(-gnu)?
1182 %endif
1183 %ifarch sparc sparcv9 sparc64
1184 sparc-[^-]*-[Ll]inux(-gnu)?
1185 %endif
1186
1187 noarch-[^-]*-.*
1188 EOF
1189
1190 # Squash Extra Blank Lines
1191 %{__sed} -i -e '/./,/^$/!d' $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
1192
1193 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/vpkg-provides*
1194 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/find-{prov,req}.pl
1195 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/find-{provides,requires}.perl
1196 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/find-lang.sh
1197 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/lib/liblua.a
1198 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/lib/liblua.la
1199 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/mono-find-provides
1200 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/mono-find-requires
1201
1202 # not installed since 4.4.8 (-tools-perl subpackage)
1203 install scripts/rpmdiff scripts/rpmdiff.cgi $RPM_BUILD_ROOT%{_rpmlibdir}
1204
1205 install %{SOURCE1} doc/manual/groups
1206 install %{SOURCE3} $RPM_BUILD_ROOT%{_rpmlibdir}/install-build-tree
1207 install %{SOURCE4} $RPM_BUILD_ROOT%{_rpmlibdir}/find-spec-bcond
1208 install %{SOURCE7} $RPM_BUILD_ROOT%{_rpmlibdir}/compress-doc
1209 install %{SOURCE12} $RPM_BUILD_ROOT%{_rpmlibdir}/user_group.sh
1210 install %{SOURCE17} $RPM_BUILD_ROOT%{_rpmlibdir}/mimetypedeps.sh
1211 install %{SOURCE5} $RPM_BUILD_ROOT%{_rpmlibdir}/hrmib-cache
1212 install %{SOURCE13} $RPM_BUILD_ROOT/etc/sysconfig/rpm
1213
1214 install %{SOURCE15} $RPM_BUILD_ROOT%{_bindir}/banner.sh
1215
1216 install -d $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo
1217
1218 install %{SOURCE18} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros
1219 install %{SOURCE27} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.lang
1220 install %{SOURCE19} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautocompressdoc
1221 install %{SOURCE20} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprov
1222 install %{SOURCE21} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprovfiles
1223 install %{SOURCE22} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreq
1224 install %{SOURCE24} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreqfiles
1225
1226 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Conflictname
1227 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Dirnames
1228 install %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Filelinktos
1229 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Obsoletename
1230 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Providename
1231 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Requirename
1232
1233 install tools/rpmdb_checkversion $RPM_BUILD_ROOT%{_rpmlibdir}/bin
1234 install tools/rpmdb_reset $RPM_BUILD_ROOT%{_rpmlibdir}/bin
1235 install %{SOURCE29} $RPM_BUILD_ROOT%{_rpmlibdir}/bin/dbupgrade.sh
1236
1237 # create macro loading wrappers for backward compatibility
1238 for m in gstreamer mono perl python; do
1239         echo "%%{load:%{_rpmlibdir}/macros.d/$m}" >$RPM_BUILD_ROOT%{_rpmlibdir}/macros.$m
1240 done
1241
1242 # moved to rpm-build-macros 1.699
1243 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/macros.d/kernel
1244 # moved to rpm-build-macros 1.744
1245 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/{macros.d/java,javadeps.sh}
1246 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/{macros.d/ruby,{gem_helper,rubygems}.rb}
1247
1248 # for rpm -e|-U --repackage
1249 install -d $RPM_BUILD_ROOT/var/{spool/repackage,lock/rpm}
1250 touch $RPM_BUILD_ROOT/var/lock/rpm/transaction
1251
1252 # move rpm to /bin
1253 mv $RPM_BUILD_ROOT%{_bindir}/rpm $RPM_BUILD_ROOT/bin
1254 # move essential libs to /lib (libs that /bin/rpm links to)
1255 for a in librpm-%{sover}.so librpmdb-%{sover}.so librpmio-%{sover}.so librpmbuild-%{sover}.so librpmmisc-%{sover}.so librpmconstant-%{sover}.so; do
1256         mv -f $RPM_BUILD_ROOT%{_libdir}/$a $RPM_BUILD_ROOT/%{_lib}
1257         ln -s /%{_lib}/$a $RPM_BUILD_ROOT%{_libdir}/$a
1258 done
1259
1260 # Bourne shell script vs ELF executable linked with rpm,rpmdb,rpmio
1261 mv $RPM_BUILD_ROOT{%{_rpmlibdir},%{_bindir}}/rpm2cpio
1262
1263 %if %{with python}
1264 %py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
1265 %py_comp $RPM_BUILD_ROOT%{py_sitedir}
1266
1267 %{__rm} $RPM_BUILD_ROOT%{py_sitedir}/rpm/*.{la,a,py}
1268 %endif
1269
1270 # wrong location, not used anyway
1271 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/rpm.{daily,log,xinetd}
1272 # utils dropped in 5.4 -- their manuals
1273 %{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/rpmgrep.1
1274 # script obsoleted by /usr/lib/rpm/bin/dbconvert binary
1275 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/dbconvert.sh
1276
1277 %find_lang %{name}
1278
1279 %{__rm} -rf manual
1280 cp -a doc/manual manual
1281 %{__rm} -f manual/Makefile*
1282
1283 %clean
1284 rm -rf $RPM_BUILD_ROOT
1285
1286 %pretrans
1287 # this needs to be a dir
1288 if [ -f %{_sysconfdir}/rpm/sysinfo ]; then
1289         umask 022
1290         mv -f %{_sysconfdir}/rpm/sysinfo{,.rpmsave}
1291         mkdir %{_sysconfdir}/rpm/sysinfo
1292 fi
1293
1294 %posttrans
1295 if [ -e /var/lib/rpm/Packages ] && \
1296                 ! %{_rpmlibdir}/bin/rpmdb_checkversion -h /var/lib/rpm -d /var/lib/rpm; then
1297         if [ ! -e /var/lib/rpm.rpmbackup-%{version}-%{release} ] && \
1298                         /bin/cp -a /var/lib/rpm /var/lib/rpm.rpmbackup-%{version}-%{release}; then
1299                 echo
1300                 echo "Backup of the rpm database has been created in /var/lib/rpm.rpmbackup-%{version}-%{release}"
1301                 echo
1302         fi
1303         echo
1304         echo 'If poldek aborts after migration with rpmdb error, this is expected behaviour,'
1305         echo 'you should ignore it and restart poldek'
1306         echo
1307         %{_rpmlibdir}/bin/dbupgrade.sh
1308 fi
1309
1310 %triggerpostun -- %{name} < 4.4.9-44
1311 %{_rpmlibdir}/hrmib-cache
1312
1313 %post   lib -p /sbin/ldconfig
1314 %postun lib -p /sbin/ldconfig
1315
1316 %pretrans build
1317 find %{_rpmlibdir} -name '*-linux' -type l | xargs rm -f
1318
1319 %files -f %{name}.lang
1320 %defattr(644,root,root,755)
1321 %doc CHANGES CREDITS README pubkeys/JBJ-GPG-KEY manual/*
1322
1323 %dir /etc/pki/rpm-gpg
1324 /etc/pki/rpm-gpg/PLD-3.0-Th-GPG-key.asc
1325
1326 %attr(755,root,root) /bin/rpm
1327
1328 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros
1329 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros.lang
1330 %dir %{_sysconfdir}/rpm/sysinfo
1331 # these are ok to be replaced
1332 %config %verify(not md5 mtime size) %{_sysconfdir}/rpm/sysinfo/*
1333 %config %verify(not md5 mtime size) %{_sysconfdir}/rpm/platform
1334
1335 %{_mandir}/man8/rpm.8*
1336 %lang(fr) %{_mandir}/fr/man8/rpm.8*
1337 %lang(ja) %{_mandir}/ja/man8/rpm.8*
1338 %lang(pl) %{_mandir}/pl/man8/rpm.8*
1339 %lang(ru) %{_mandir}/ru/man8/rpm.8*
1340 %lang(sk) %{_mandir}/sk/man8/rpm.8*
1341
1342 %dir /var/lib/rpm
1343 %dir /var/lib/rpm/log
1344 %dir /var/lib/rpm/tmp
1345 %config(noreplace) %verify(not md5 mtime size) /var/lib/rpm/DB_CONFIG
1346 %dir %attr(700,root,root) /var/spool/repackage
1347 %dir /var/lock/rpm
1348 /var/lock/rpm/transaction
1349
1350 # exported package NVRA (stamped with install tid)
1351 # net-snmp hrSWInstalledName queries, bash-completions
1352 %dir /var/cache/hrmib
1353
1354 %{_rpmlibdir}/qf
1355 %{_rpmlibdir}/rpmpopt*
1356 %{_rpmlibdir}/macros
1357 %dir %{_rpmlibdir}/macros.d
1358 %{_rpmlibdir}/macros.d/pld
1359 %{_rpmlibdir}/cpuinfo.yaml
1360 %{_rpmlibdir}/noarch-*
1361 %ifarch %{ix86} %{x8664} x32
1362 %{_rpmlibdir}/i?86*
1363 %{_rpmlibdir}/pentium*
1364 %{_rpmlibdir}/athlon*
1365 %endif
1366 %ifarch alpha
1367 %{_rpmlibdir}/alpha*
1368 %endif
1369 %ifarch ia64
1370 %{_rpmlibdir}/ia64*
1371 %endif
1372 %ifarch mips mipsel mips64 mips64el
1373 %{_rpmlibdir}/mips*
1374 %endif
1375 %ifarch %{ppc}
1376 %{_rpmlibdir}/ppc*
1377 %endif
1378 %ifarch sparc sparc64
1379 %{_rpmlibdir}/sparc*
1380 %endif
1381 %ifarch %{x8664} x32
1382 %{_rpmlibdir}/amd64*
1383 %{_rpmlibdir}/ia32e*
1384 %{_rpmlibdir}/x86_64*
1385 %{_rpmlibdir}/x32*
1386 %endif
1387
1388 %attr(755,root,root) %{_rpmlibdir}/hrmib-cache
1389
1390 %dir %{_rpmlibdir}/bin
1391 %attr(755,root,root) %{_rpmlibdir}/bin/dbconvert
1392 %attr(755,root,root) %{_rpmlibdir}/bin/dbupgrade.sh
1393 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdb_checkversion
1394 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdb_reset
1395 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdbchk
1396
1397 %files base
1398 %defattr(644,root,root,755)
1399 %dir %{_sysconfdir}/rpm
1400 %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rpm
1401 %dir %{_rpmlibdir}
1402 %attr(755,root,root) %{_bindir}/banner.sh
1403 %attr(755,root,root) %{_rpmlibdir}/user_group.sh
1404 %dir /var/lib/banner
1405
1406 %files lib
1407 %defattr(644,root,root,755)
1408 %attr(755,root,root) /%{_lib}/librpm-%{sover}.so
1409 %attr(755,root,root) /%{_lib}/librpmdb-%{sover}.so
1410 %attr(755,root,root) /%{_lib}/librpmio-%{sover}.so
1411 %attr(755,root,root) /%{_lib}/librpmbuild-%{sover}.so
1412 %attr(755,root,root) /%{_lib}/librpmmisc-%{sover}.so
1413 %attr(755,root,root) /%{_lib}/librpmconstant-%{sover}.so
1414
1415 %files devel
1416 %defattr(644,root,root,755)
1417 %attr(755,root,root) %{_libdir}/librpm.so
1418 %attr(755,root,root) %{_libdir}/librpm-%{sover}.so
1419 %attr(755,root,root) %{_libdir}/librpmbuild.so
1420 %attr(755,root,root) %{_libdir}/librpmbuild-%{sover}.so
1421 %attr(755,root,root) %{_libdir}/librpmconstant.so
1422 %attr(755,root,root) %{_libdir}/librpmconstant-%{sover}.so
1423 %attr(755,root,root) %{_libdir}/librpmdb.so
1424 %attr(755,root,root) %{_libdir}/librpmdb-%{sover}.so
1425 %attr(755,root,root) %{_libdir}/librpmio.so
1426 %attr(755,root,root) %{_libdir}/librpmio-%{sover}.so
1427 %attr(755,root,root) %{_libdir}/librpmmisc.so
1428 %attr(755,root,root) %{_libdir}/librpmmisc-%{sover}.so
1429 %{_libdir}/librpm*.la
1430 %{_includedir}/rpm
1431 %{_pkgconfigdir}/*.pc
1432
1433 %files static
1434 %defattr(644,root,root,755)
1435 %{_libdir}/librpm*.a
1436
1437 %files utils
1438 %defattr(644,root,root,755)
1439 %attr(755,root,root) %{_bindir}/rpm2cpio
1440 %attr(755,root,root) %{_bindir}/rpmconstant
1441 %attr(755,root,root) %{_rpmlibdir}/find-debuginfo.sh
1442 %attr(755,root,root) %{_rpmlibdir}/rpmdb_loadcvt
1443 %attr(755,root,root) %{_rpmlibdir}/tgpg
1444 %attr(755,root,root) %{_rpmlibdir}/bin/chroot
1445 %attr(755,root,root) %{_rpmlibdir}/bin/cp
1446 %attr(755,root,root) %{_rpmlibdir}/bin/debugedit
1447 %attr(755,root,root) %{_rpmlibdir}/bin/find
1448 %attr(755,root,root) %{_rpmlibdir}/bin/mgo
1449 %attr(755,root,root) %{_rpmlibdir}/bin/mtree
1450 %attr(755,root,root) %{_rpmlibdir}/bin/rpmcache
1451 %attr(755,root,root) %{_rpmlibdir}/bin/rpmcmp
1452 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdeps
1453 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdigest
1454 %if %{with selinux}
1455 %attr(755,root,root) %{_rpmlibdir}/bin/semodule
1456 %attr(755,root,root) %{_rpmlibdir}/bin/spooktool
1457 %endif
1458 %if %{without system_lua}
1459 %attr(755,root,root) %{_rpmlibdir}/bin/lua
1460 %attr(755,root,root) %{_rpmlibdir}/bin/luac
1461 %attr(755,root,root) %{_rpmlibdir}/bin/rpmlua
1462 %attr(755,root,root) %{_rpmlibdir}/bin/rpmluac
1463 %endif
1464 %{?with_keyutils:%attr(755,root,root) %{_rpmlibdir}/bin/rpmkey}
1465 %attr(755,root,root) %{_rpmlibdir}/bin/rpmrepo
1466 %{_mandir}/man8/rpm2cpio.8*
1467 %{_mandir}/man8/rpmconstant.8*
1468 %{_mandir}/man8/rpmdeps.8*
1469 %{_mandir}/man8/rpmmtree.8*
1470 %lang(ja) %{_mandir}/ja/man8/rpm2cpio.8*
1471 %lang(pl) %{_mandir}/pl/man8/rpm2cpio.8*
1472 %lang(pl) %{_mandir}/pl/man8/rpmdeps.8*
1473 %lang(ru) %{_mandir}/ru/man8/rpm2cpio.8*
1474
1475 %files utils-perl
1476 %defattr(644,root,root,755)
1477 %attr(755,root,root) %{_rpmlibdir}/rpmdiff*
1478
1479 %if %{with static}
1480 %files utils-static
1481 %defattr(644,root,root,755)
1482 %attr(755,root,root) %{_bindir}/rpm[ieu]
1483 %attr(755,root,root) %{_rpmlibdir}/rpm[ieu]
1484 %endif
1485
1486 %files build
1487 %defattr(644,root,root,755)
1488 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/noauto*
1489 %attr(755,root,root) %{_rpmlibdir}/brp-*
1490 %attr(755,root,root) %{_rpmlibdir}/check-files
1491 %attr(755,root,root) %{_rpmlibdir}/compress-doc
1492 %attr(755,root,root) %{_rpmlibdir}/cross-build
1493 %attr(755,root,root) %{_rpmlibdir}/find-spec-bcond
1494 %attr(755,root,root) %{_rpmlibdir}/getpo.sh
1495 %attr(755,root,root) %{_rpmlibdir}/install-build-tree
1496 %attr(755,root,root) %{_rpmlibdir}/u_pkg.sh
1497 %attr(755,root,root) %{_rpmlibdir}/executabledeps.sh
1498 %attr(755,root,root) %{_rpmlibdir}/libtooldeps.sh
1499 %attr(755,root,root) %{_rpmlibdir}/mimetypedeps.sh
1500 # needs hacked pkg-config to return anything
1501 %attr(755,root,root) %{_rpmlibdir}/pkgconfigdeps.sh
1502 %attr(755,root,root) %{_rpmlibdir}/bin/api-sanity-autotest.pl
1503 %attr(755,root,root) %{_rpmlibdir}/bin/api-sanity-checker.pl
1504 %{!?with_sqlite:%attr(755,root,root) %{_rpmlibdir}/bin/dbsql}
1505 %attr(755,root,root) %{_rpmlibdir}/bin/install-sh
1506 %attr(755,root,root) %{_rpmlibdir}/bin/mkinstalldirs
1507 %attr(755,root,root) %{_rpmlibdir}/bin/pom2spec
1508 %attr(755,root,root) %{_rpmlibdir}/bin/rpmspec
1509 %attr(755,root,root) %{_rpmlibdir}/bin/rpmspecdump
1510 %attr(755,root,root) %{_rpmlibdir}/bin/sqlite3
1511 %attr(755,root,root) %{_rpmlibdir}/bin/wget
1512 %attr(755,root,root) %{_rpmlibdir}/vcheck
1513 # not used yet ... these six depend on perl
1514 %attr(755,root,root) %{_rpmlibdir}/http.req
1515 # we always used scripts provided by mono-devel, maybe move them here
1516 #%attr(755,root,root) %{_rpmlibdir}/mono-find-provides
1517 #%attr(755,root,root) %{_rpmlibdir}/mono-find-requires
1518
1519 %attr(755,root,root) %{_rpmlibdir}/fontconfig.prov
1520 # must be here for "Requires: rpm-*prov" to work
1521 %{_rpmlibdir}/macros.d/cmake
1522 %{_rpmlibdir}/macros.d/gstreamer
1523 %{_rpmlibdir}/macros.d/libtool
1524 %{_rpmlibdir}/macros.d/mono
1525 %{_rpmlibdir}/macros.d/perl
1526 %{_rpmlibdir}/macros.d/pkgconfig
1527 %{_rpmlibdir}/macros.d/python
1528 %{_rpmlibdir}/macros.d/selinux
1529 %{_rpmlibdir}/macros.d/tcl
1530 %{_rpmlibdir}/macros.rpmbuild
1531 # compat wrappers
1532 %{_rpmlibdir}/macros.gstreamer
1533 %{_rpmlibdir}/macros.mono
1534 %{_rpmlibdir}/macros.perl
1535 %{_rpmlibdir}/macros.python
1536
1537 %attr(755,root,root) %{_rpmlibdir}/gstreamer.sh
1538 %attr(755,root,root) %{_rpmlibdir}/kmod-deps.sh
1539
1540 %attr(755,root,root) %{_bindir}/gendiff
1541 %attr(755,root,root) %{_bindir}/rpmbuild
1542
1543 %dir %{_rpmlibdir}/helpers
1544 %attr(755,root,root) %{_rpmlibdir}/helpers/makeshlibs
1545
1546 %{_mandir}/man1/gendiff.1*
1547 %{_mandir}/man8/rpmbuild.8*
1548 %lang(ja) %{_mandir}/ja/man8/rpmbuild.8*
1549 %lang(pl) %{_mandir}/pl/man1/gendiff.1*
1550 %lang(pl) %{_mandir}/pl/man8/rpmbuild.8*
1551
1552 %files perlprov
1553 %defattr(644,root,root,755)
1554 %attr(755,root,root) %{_rpmlibdir}/perl.*
1555 %attr(755,root,root) %{_rpmlibdir}/osgideps.pl
1556 %attr(755,root,root) %{_rpmlibdir}/perldeps.pl
1557
1558 %files pythonprov
1559 %defattr(644,root,root,755)
1560 %attr(755,root,root) %{_rpmlibdir}/pythoneggs.py
1561 %attr(755,root,root) %{_rpmlibdir}/pythondeps.sh
1562
1563 %if %{with python}
1564 %files -n python-rpm
1565 %defattr(644,root,root,755)
1566 %dir %{py_sitedir}/rpm
1567 %attr(755,root,root) %{py_sitedir}/rpm/*.so
1568 %{py_sitedir}/rpm/*.py[co]
1569 %endif
1570
1571 %if %{with apidocs}
1572 %files apidocs
1573 %defattr(644,root,root,755)
1574 %doc apidocs
1575 %endif
This page took 0.218803 seconds and 2 git commands to generate.